How to install compatible Flash plugin for Nuvola Player 2.0.1 or higher

Created by Jiří Janoušek on on 2012-09-30
Keywords:
compatible flash
Last updated by:
Jiří Janoušek on on 2013-12-20

First of all, make sure you have up-to-date service integrations - post-release updates are available as service update packages at http://nuvolaplayer.fenryxo.cz/download.html

Issue
====

Adobe Flash plugin is incompatible with Nuvola Player 2.0.x, because it is not possible to mix library GTK+ 2 (Flash plugin) and GTK+ 3 (Nuvola Player) in the same process. Even if the native Adobe Flash plugin is recognized and loaded by Nuvola Player, it may cause several issues. See bug #1058586 for more details.

Solution
======

A temporary workaround is to use Flash plugin wrapped by nspluginwraper. More details about this workaround can be found at bug #1058586.

Instructions
=========

See https://nuvolaplayer.fenryxo.cz/help/issues/flash_plugin.html